curl --request PUT \
--url https://api.getdecisional.ai/api/v1/knowledge-engines/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Fintech Companies",
"description": "Knowledge engine for processing and analyzing fintech companies",
"notes": {
"tags": "fintech, startups, venture capital"
}
}
'import requests
url = "https://api.getdecisional.ai/api/v1/knowledge-engines/{id}"
payload = {
"name": "Fintech Companies",
"description": "Knowledge engine for processing and analyzing fintech companies",
"notes": { "tags": "fintech, startups, venture capital" }
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Fintech Companies',
description: 'Knowledge engine for processing and analyzing fintech companies',
notes: {tags: 'fintech, startups, venture capital'}
})
};
fetch('https://api.getdecisional.ai/api/v1/knowledge-engines/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "kng_abc123xyz789",
"name": "Fintech Companies",
"description": "Knowledge engine for processing and analyzing fintech companies",
"notes": {
"category": "fintech"
},
"status": "ready",
"created_at": 1679644800
}Update Knowledge Engine
Updates an existing knowledge engine
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Knowledge engine ID
Body
Name of the knowledge engine
50"Fintech Companies"
Short description of what the knowledge engine is comprised of
"Knowledge engine for processing and analyzing fintech companies"
Custom attributes and fields
{
"tags": "fintech, startups, venture capital"
}
Response
Knowledge engine updated successfully
Alphanumeric 14 character string identifier
"kng_abc123xyz789"
Name of the knowledge engine
"Fintech Companies"
Description of the knowledge engine
"Knowledge engine for processing and analyzing fintech companies"
Custom attributes and fields
{ "category": "fintech" }
Current status of the knowledge engine
processing, ready "ready"
Unix timestamp when this entity was created
1679644800